--[[
#include "umf.lua"
]] --
local function bool( id, invert )
	id = "savegame.mod." .. id
	invert = not invert
	return function()
		return GetBool( id ) == invert
	end
end

OptionsMenu {
	title = "Physics Gun",

	OptionsMenu.Spacer( 50 ),

	OptionsMenu.Toggle { id = "legacy", name = "Legacy Rotation", default = false },
	OptionsMenu.Slider {
		id = "rotspeed",
		name = "Rotation Speed",
		min = 0.25,
		max = 4,
		step = 0.05,
		default = 1,
		condition = bool( "legacy", true ),
	},

	OptionsMenu.Spacer( 50 ),

	OptionsMenu.Group {
		title = "Keybinds",

		OptionsMenu.Keybind { id = "key.rotate", name = "Rotate", default = "interact" },
		OptionsMenu.Keybind { id = "key.throw", name = "Throw", default = "r" },
		OptionsMenu.Keybind { id = "key.unfreeze", name = "Unfreeze", default = "r" },
	},
}
